Package org.apache.velocity.util.introspection

# Interface SecureIntrospectorControl

All Known Implementing Classes:
  `SecureIntrospectorImpl`

public interface SecureIntrospectorControl
Interface used to determine which methods are allowed to be executed.

Since:
  1.5
Version:
  $Id$
Author:
  Will Glass-Husain

## Method Summary

Modifier and Type
Method
Description
`boolean`
`checkObjectExecutePermission(Class<?> clazz, String method)`
Determine which methods and classes to prevent from executing.

## Method Details

### checkObjectExecutePermission

boolean checkObjectExecutePermission(Class<?> clazz, String method)
Determine which methods and classes to prevent from executing.

Parameters:
  `clazz` - Class for which method is being called
  `method` - method being called. This may be null in the case of a call to iterator, get, or set method
Returns:
  true if method may be called on object